<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'automobile_car_services_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'automobile-car-services' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'automobile-car-services' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'automobile-car-services' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'automobile_car_services_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'automobile-car-services' ),
	) );

	Kirki::add_section( 'automobile_car_services_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'automobile-car-services' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_all_headings_typography',
		'section'     => 'automobile_car_services_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'automobile_car_services_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'automobile-car-services' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'automobile-car-services' ),
		'section'     => 'automobile_car_services_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_body_content_typography',
		'section'     => 'automobile_car_services_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'automobile_car_services_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'automobile-car-services' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'automobile-car-services' ),
		'section'     => 'automobile_car_services_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );


	// PANEL

	Kirki::add_panel( 'automobile_car_services_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'automobile-car-services' ),
	) );

	// Additional Settings

	Kirki::add_section( 'automobile_car_services_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'automobile-car-services' ),
	    'description'    => esc_html__( 'Scroll To Top', 'automobile-car-services' ),
	    'panel'          => 'automobile_car_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'automobile_car_services_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_additional_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_automobile_car_services',
		'label'       => esc_html__( 'Menus Text Transform', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_additional_settings',
		'default'     => 'UPPERCASE',
		'placeholder' => esc_html__( 'Choose an option', 'automobile-car-services' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'automobile-car-services' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'automobile-car-services' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'automobile-car-services' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'automobile_car_services_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	// Woocommerce Settings

	Kirki::add_section( 'automobile_car_services_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'automobile-car-services' ),
			'description'    => esc_html__( 'Shop Page', 'automobile-car-services' ),
			'panel'          => 'automobile_car_services_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'automobile_car_services_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'automobile_car_services_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	// POST SECTION

	Kirki::add_section( 'automobile_car_services_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'automobile-car-services' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'automobile-car-services' ),
	    'panel'          => 'automobile_car_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_enable_post_heading',
		'section'     => 'automobile_car_services_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'automobile_car_services_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 50,
			'step' => 1,
		],
	] );

	// HEADER SECTION

	Kirki::add_section( 'automobile_car_services_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'automobile-car-services' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'automobile-car-services' ),
	    'panel'          => 'automobile_car_services_panel_id',
	    'priority'       => 160,
	) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_enable_socail_link',
		'section'     => 'automobile_car_services_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'automobile-car-services' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'automobile_car_services_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'automobile-car-services' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'automobile-car-services' ),
		'settings'     => 'automobile_car_services_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'automobile-car-services' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'automobile-car-services' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'automobile-car-services' ),
				'description' => esc_html__( 'Add the social icon url here.', 'automobile-car-services' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'automobile_car_services_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'automobile-car-services' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'automobile-car-services' ),
        'panel'          => 'automobile_car_services_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_enable_heading',
		'section'     => 'automobile_car_services_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_slider_heading',
		'section'     => 'automobile_car_services_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'automobile_car_services_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'automobile_car_services_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'automobile-car-services' ),
		'priority'    => 10,
		'choices'     => automobile_car_services_get_categories_select(),
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'automobile_car_services_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'automobile-car-services' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'automobile-car-services' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'automobile-car-services' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'automobile-car-services' ),

		],
	] );


	//WHAT WE DO SECTION

	Kirki::add_section( 'automobile_car_services_what_we_do_section', array(
	    'title'          => esc_html__( 'What We Do Settings', 'automobile-car-services' ),
	    'description'    => esc_html__( 'Here you can add services post.', 'automobile-car-services' ),
	    'panel'          => 'automobile_car_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_enable_heading',
		'section'     => 'automobile_car_services_what_we_do_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable What We Do',  'automobile-car-services' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_what_we_do_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'automobile-car-services' ),
		'section'     => 'automobile_car_services_what_we_do_section',
		'default'     => '0',
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'automobile-car-services' ),
			'off' => esc_html__( 'Disable',  'automobile-car-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'automobile_car_services_what_we_do_heading' ,
        'label'    => esc_html__( 'Heading',  'automobile-car-services' ),
        'section'  => 'automobile_car_services_what_we_do_section',
    ] );


    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_what_we_do_left_heading',
		'section'     => 'automobile_car_services_what_we_do_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Left side category dropdown', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'automobile_car_services_what_we_do_left_number',
		'label'       => esc_html__( 'Number of post to show', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_what_we_do_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'automobile_car_services_what_we_do_left_category',
		'label'       => esc_html__( 'Select the category to show left side post', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_what_we_do_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'automobile-car-services' ),
		'priority'    => 10,
		'choices'     => automobile_car_services_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_what_we_do_image_heading',
		'section'     => 'automobile_car_services_what_we_do_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Upload Image', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

	new \Kirki\Field\Image(
		[
			'settings'    => 'automobile_car_services_what_we_do_image',
			'section'     => 'automobile_car_services_what_we_do_section',
			'default'     => '',
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_what_we_do_right_heading',
		'section'     => 'automobile_car_services_what_we_do_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Right side category dropdown', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'automobile_car_services_what_we_do_right_number',
		'label'       => esc_html__( 'Number of post to show', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_what_we_do_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 10,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'automobile_car_services_what_we_do_right_category',
		'label'       => esc_html__( 'Select the category to show Right side post', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_what_we_do_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'automobile-car-services' ),
		'priority'    => 10,
		'choices'     => automobile_car_services_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'automobile_car_services_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'automobile-car-services' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'automobile-car-services' ),
        'panel'          => 'automobile_car_services_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_footer_text_heading',
		'section'     => 'automobile_car_services_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'automobile_car_services_footer_text',
		'section'  => 'automobile_car_services_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'automobile_car_services_footer_enable_heading',
		'section'     => 'automobile_car_services_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'automobile-car-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'automobile_car_services_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'automobile-car-services' ),
		'section'     => 'automobile_car_services_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'automobile-car-services' ),
			'off' => esc_html__( 'Disable', 'automobile-car-services' ),
		],
	] );
}
